Page MenuHomePhabricator

Upgrade to "Projects V3"
Closed, ResolvedPublic

Description

Perhaps we should create a "Deploy phabricator with Projects V3 support" task. It could have blocking tasks such as testing compatibility with our sprint extension, updating our sprint extension to be compatible, configuring phab initially to not use v3 sprints because they would conflict with our sprint extension, setting up a phab staging instance, etc.

Event Timeline

greg created this task.Dec 7 2015, 11:57 PM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added a project: Phabricator.
greg added subscribers: greg, DStrine, ksmith and 9 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2015, 11:57 PM

Some early prototype work from projects V3 is now deployed on https://phab-01.wmflabs.org

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 2 2016, 2:28 AM
Tobi_WMDE_SW set Security to None.
Restricted Application added a project: TCB-Team. · View Herald TranscriptJan 20 2016, 12:58 PM

Added Phragile here, because it could also affect Phragile's functionality.

Luke081515 moved this task from To Triage to Misc on the Phabricator board.Feb 4 2016, 6:27 PM

any use of the sprint extension custom points field will likely be changed to use the new global maniphest.points field in the 18.02.2016 phabricator update. This also has consequences for the "isSprint" field which becomes unnecessary to assign points to a task.

I just found out that the Projects V3 story points field is not exposed through Conduit yet. It would be problematic if the sprint extension's custom points field would be removed before the new field gets exposed through the API. Otherwise Phragile would not be able to pull the story points estimates from Phabricator. I created T126982 for this issue.

What is left to do in this task? We've upgraded Phabricator and Phragile is covered in T126982.
Can this be closed?

Luke081515 closed this task as Resolved.Mar 9 2016, 4:19 PM

I guess so.

urzds added a subscriber: urzds.Mar 30 2016, 1:03 PM

How did you handle the addition of "Points" to Maniphest? Our instance of Phabricator still shows the WMF Sprint-Extension's "Story Points" field when creating tasks, in addition to the maniphest.points field, which we would like to get rid of.

Is there a migration plan to convert contents of the old "Story Points" field to the new maniphest.points?

How did you handle the addition of "Points" to Maniphest? Our instance of Phabricator still shows the WMF Sprint-Extension's "Story Points" field when creating tasks, in addition to the maniphest.points field, which we would like to get rid of.
Is there a migration plan to convert contents of the old "Story Points" field to the new maniphest.points?

Where do you see the old points field?

urzds added a comment.Mar 31 2016, 2:15 PM

Where do you see the old points field?

Whenever I create a new task.

I am running these versions:

phabricator
    81b5f3a63b30d1833eb9a227467515e7c5dc3b00 (Wed, Mar 30) 
arcanist
    f89f3de65805f7f65c8082ed387e8e2572596f7a (Sat, Mar 19) 
phutil
    6d78a7204bb389971e0f718aef7864dfd5c74249 (Wed, Mar 30) 
libphremoteuser
    53b5b5064ff787802a4180ca47b5d135d937a265 (Aug 19 2015) 
sprint
    1ddd5084a80d6a2aa239670c1a6557f800eb553d (Feb 14 2016)

Those are the latest available versions. Just libphutil and phabricator contain a few custom patches, which can be found here: https://github.com/uhd-urz/phabricator and here: https://github.com/uhd-urz/libphutil

urzds added a comment.EditedMar 31 2016, 2:23 PM

I just updated to production from master, because the master branch of the sprint extension is apparently abandoned. The issue persists:

phabricator
    81b5f3a63b30d1833eb9a227467515e7c5dc3b00 (Wed, Mar 30) 
arcanist
    f89f3de65805f7f65c8082ed387e8e2572596f7a (Sat, Mar 19) 
phutil
    6d78a7204bb389971e0f718aef7864dfd5c74249 (Wed, Mar 30) 
libphremoteuser
    53b5b5064ff787802a4180ca47b5d135d937a265 (Aug 19 2015) 
sprint
    18fbb4a2141d2f86aacd21bf52c3eaeec5b7ced0 (Wed, Mar 9)

See https://phabricator.wikimedia.org/T130717 for explanation on how to
remove custom points field

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 6 2016, 11:24 AM
Tobi_WMDE_SW moved this task from Incoming to Phragile on the TCB-Team board.Nov 22 2016, 11:19 AM